Package com.destroystokyo.paper.event.entity

# Class EntityTeleportEndGatewayEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTeleportEvent
com.destroystokyo.paper.event.entity.EntityTeleportEndGatewayEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityTeleportEndGatewayEvent extends EntityTeleportEvent
Fired any time an entity attempts to teleport in an end gateway

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityTeleportEndGatewayEvent(@NotNull Entity what, @NotNull Location from, @NotNull Location to, @NotNull EndGateway gateway)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull EndGateway`
`getGateway()`
The gateway triggering the teleport

### Methods inherited from class org.bukkit.event.entity.EntityTeleportEvent

`getFrom, getHandlerList, getHandlers, getTo, isCancelled, setCancelled, setFrom, setTo`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityTeleportEndGatewayEvent

public EntityTeleportEndGatewayEvent(@NotNull @NotNull Entity what, @NotNull @NotNull Location from, @NotNull @NotNull Location to, @NotNull @NotNull EndGateway gateway)

## Method Details

### getGateway

@NotNull public @NotNull EndGateway getGateway()
The gateway triggering the teleport

Returns:
  EndGateway used